Open CASCADE Technology: NCollection_SparseArray< TheItemType >::Iterator Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
NCollection_SparseArray< TheItemType >::Iterator Class Reference

`#include <NCollection_SparseArray.hxx>`

Inheritance diagram for NCollection_SparseArray< TheItemType >::Iterator:
[legend]

## Public Member Functions
| Iterator ()
| Empty constructor - for later Init. More...
| Iterator (NCollection_SparseArray &theVector)
| Constructor with initialisation. More...
void | Init (const NCollection_SparseArray &theVector)
| Initialisation. More...
TheItemType & | ChangeValue (void)
| Value access. More...
TheItemType & | operator() (void)
| Value access operator. More...
const TheItemType & | operator() (void) const
| Const access operator - the same as in parent class. More...
Public Member Functions inherited from NCollection_SparseArray< TheItemType >::ConstIterator
| ConstIterator ()
| Empty constructor - for later Init. More...
| ConstIterator (const NCollection_SparseArray &theVector)
| Constructor with initialisation. More...
void | Init (const NCollection_SparseArray &theVector)
| Initialisation. More...
const TheItemType & | Value (void) const
| Constant value access. More...
const TheItemType & | operator() (void) const
| Constant value access operator. More...
Standard_Size | Key (void) const
| Access current index with 'a-la map' interface. More...
Public Member Functions inherited from NCollection_SparseArrayBase::Iterator
void | Restart ()
| Restart iterations on the same array. More...
Standard_Boolean | More () const
| Returns True if current item is available. More...
void | Next ()
| Advances to the next item. More...
Standard_Size | Index () const
| Returns current index. More...

## Additional Inherited Members
Protected Member Functions inherited from NCollection_SparseArrayBase::Iterator
| Iterator (const NCollection_SparseArrayBase *theArray=0)
| Empty constructor. More...
void | init (const NCollection_SparseArrayBase *theArray)
| Initialize by the specified array. More...
Standard_Address | value () const
| Returns address of the current item. More...

## Detailed Description

### template<class TheItemType>
class NCollection_SparseArray< TheItemType >::Iterator

Implementation of type-specific non-const Iterator class

## Constructor & Destructor Documentation

template<class TheItemType>

NCollection_SparseArray< TheItemType >::Iterator::Iterator | ( |  | ) |
| inline

Empty constructor - for later Init.

template<class TheItemType>

NCollection_SparseArray< TheItemType >::Iterator::Iterator | ( | NCollection_SparseArray & | theVector | ) |
| inline

Constructor with initialisation.

## Member Function Documentation

template<class TheItemType>

TheItemType& NCollection_SparseArray< TheItemType >::Iterator::ChangeValue | ( | void |  | ) |
| inline

Value access.

template<class TheItemType>

void NCollection_SparseArray< TheItemType >::Iterator::Init | ( | const NCollection_SparseArray & | theVector | ) |
| inline

Initialisation.

template<class TheItemType>

TheItemType& NCollection_SparseArray< TheItemType >::Iterator::operator() | ( | void |  | ) |
| inline

Value access operator.

template<class TheItemType>

const TheItemType& NCollection_SparseArray< TheItemType >::Iterator::operator() | ( | void |  | ) | const
| inline

Const access operator - the same as in parent class.

The documentation for this class was generated from the following file:

- NCollection_SparseArray.hxx